package cz.muni.fi.pb162.test3;

/**
 * Toto rozhraní reprezentuje letadlo.
 */
public interface Airplane {
    
    /**
     * Vrati identifikator letadla (tj. cislo letu).
     *
     * @return identifikator letadla (tj. cislo letu)
     */
    String getID();

    /**
     * Vrati okamzik, kdy letadlu dojde palivo. Jedna se o pocet milisekund od 
     * 1. 1. 1970.
     *
     * @return okamzik, kdy letadlu dojde palivo.
     */
    long getTimeOfRunningOutOfOil();

    /**
     * Vrati true, pokud o reprezentuje stejne letadlo. Dve letadla jsou 
     * stejna, pokud maji stejne id.
     *
     * @param o objekt, s nimz je tento objekt porovnavan.
     * @return true, pokud je o stejny objekt jako tento.
     */
    boolean equals(Object o);

    /**
     * Vrati retezec ve formatu "Letadlo &lt;id&gt;, palivo dojde  
     * &lt;timeOfRunningOutOfOil&gt;" 
     *
     * Okamzik, kdy dojde palivo, zformatujete na retezec pomoci metody
     * DateFormat.getDateTimeInstance().format(new Date(timeOfRunningOutOfOil))
     *
     * @return retezec v predepsanem formatu.
     */
    String toString();
    
}
